% Script to compute and plot a family of periodic orbits

param = 1.e-4 ; % parameter of system
eqNum = 2 ;	% number of equilibrium point (set your own numbering scheme)
nFam  = 10 ;  	% number of desired periodic orbits in family

Ax1  = 1.e-3 ; % initial amplitude (1 of 2)
Ax2  = 3.e-3 ; % initial amplitude (2 of 2)

[x0po,T] = poFamGet3BP(param,eqNum,Ax1,Ax2,nFam) ;


% plotting 

%RelTol = 3.e-14 ; AbsTol = 1.e-16; % high accuracy
%RelTol = 3.e-10 ; AbsTol = 1.e-12; % low  accuracy
 RelTol = 3.e-06 ; AbsTol = 1.e-09; % lowest accuracy

OPTIONS = odeset('RelTol',RelTol,'AbsTol',AbsTol);

for k = nFam:-1:1,
  x0 = x0po(k,:) ;
  tb = 0 ;
  tf = T(k)/2 ;
  [x,t] = trajGet3BP(x0,tb,tf,param,OPTIONS) ;
  plot(x(:,1),x(:,2),'k',x(:,1),-x(:,2),'k');
  pause(0.01) ;
  hold on
  axis equal
end
