function [x,t,phi_tf,PHI] = stateTransitionMatrix3BP(x0,tf,mu,OPTIONS) ;

% 	 [x,t,phi_tf,PHI] = stateTransitionMatrix3BP(x0,tf,mu,OPTIONS) ;
% 
% Gets state transition matrix, phi_tf = PHI(0,tf), and the trajectory 
% (x,t) for a length of time, tf.  
% 
% In particular, for periodic solutions of % period tf=T, one can obtain 
% the monodromy matrix, PHI(0,T).
%
% Shane Ross (revised 2.19.04)

global param	% global parameter param used in MODEL file

param = mu ;

N = length(x0) ;  % <-- N=4 for us

MODEL = 'varEqs3BP' ; % <-- need to change this file accordingly

TSPAN = [ 0  tf ] ;

PHI_0(1:N^2) 	   = reshape(eye(N),N^2,1);
PHI_0(1+N^2:N+N^2) = x0;

[t,PHI] = ode113(MODEL,TSPAN,PHI_0,OPTIONS);	% integration

x = PHI(:,1+N^2:N+N^2); 		   % trajectory from time 0 to tf

phi_tf = reshape(PHI(length(t),1:N^2),N,N); % state transition matrix, PHI(O,tf)
